local _G = getfenv(0)
         
function Skinner:WIM()
                              
-->>-- Options Frame
	WIM_OptionsTitleBorder:Hide()
	self:keepRegions(WIM_OptionsDropDownFrame, {4,5}) 
	self:removeRegions(WIM_Options_GeneralScroll)
	self:skinScrollBar(WIM_Options_GeneralScroll)
	self:keepRegions(WIM_OptionsTabbedFrameWindowCascadeDirection, {4,5})
	self:keepRegions(WIM_OptionsTabbedFrameHistoryMessageCount, {4,5})
	self:keepRegions(WIM_OptionsTabbedFrameHistoryMaxCount, {4,5})
	self:keepRegions(WIM_OptionsTabbedFrameHistoryAutoDeleteTime, {4,5})
	self:removeRegions(WIM_AliasScrollBar)
	self:skinScrollBar(WIM_AliasScrollBar)
	self:removeRegions(WIM_FilteringScrollBar)
	self:skinScrollBar(WIM_FilteringScrollBar)
	self:removeRegions(WIM_HistoryScrollBar)
	self:skinScrollBar(WIM_HistoryScrollBar)
	-- Alias Frame
	WIM_Options_AliasWindowTitleBorder:Hide()
	WIM_Options_AliasWindowPanel1:SetBackdrop(nil)
	WIM_Options_AliasWindowPanel2:SetBackdrop(nil)
	self:moveObject(WIM_Options_AliasWindow_Name, "-", 5, "-", 5)
	self:skinEditBox(WIM_Options_AliasWindow_Name)
	self:moveObject(WIM_Options_AliasWindow_Alias, "-", 5, "-", 5)
	self:skinEditBox(WIM_Options_AliasWindow_Alias)
	self:applySkin(WIM_Options_AliasWindow)
	-- Filter Frame
	WIM_Options_FilterWindowTitleBorder:Hide()
	WIM_Options_FilterWindowPanel1:SetBackdrop(nil)
	self:moveObject(WIM_Options_FilterWindow_Name, "-", 5, "-", 5)
	self:skinEditBox(WIM_Options_FilterWindow_Name)
	self:applySkin(WIM_Options_FilterWindow)
	self:applySkin(WIM_Options)
	
-->>-- History Frame
	self:removeRegions(WIM_HistoryFrameScrollBar)
	self:skinScrollBar(WIM_HistoryFrameScrollBar)
	self:removeRegions(WIM_HistoryFrameFilterListScrollBar)
	self:skinScrollBar(WIM_HistoryFrameFilterListScrollBar)
	self:applySkin(WIM_HistoryFrame)
	                     
-->>-- Help Frame	
	WIM_HelpTitleBorder:Hide()
	self:removeRegions(WIM_HelpScrollFrame)
	self:skinScrollBar(WIM_HelpScrollFrame)
	self:applySkin(WIM_Help)

-->>-- Tooltip	
	if self.db.profile.Tooltips.style == 3 then WIM_Icon_ToolTip:SetBackdrop(backdrop) end
	self:skinTooltip(WIM_Icon_ToolTip)

-->>-- Conversation Menu 
	self:applySkin(WIM_ConversationMenu)

-->>--  Message Frame(s)
	self:SecureHook("WIM_PostMessage", function(user, msg, ttype, from, raw_msg)
			if (WIM_Windows[user] and not WIM_Windows[user].skinned) then
				frameName = _G["WIM_msgFrame"..user]
				self:skinEditBox(_G["WIM_msgFrame"..user.."MsgBox"], {})
				self:keepRegions(frameName, {11,12})
				self:applySkin(frameName, nil)
				WIM_Windows[user].skinned = true;
			end
		end)

end
